## fakechroot 2.19

=== debian/changelog ===
fakechroot (2.19-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add support for statx call by cherry-picking upstream commit (closes:
    #964668)

 -- Johannes 'josch' Schauer <josch@debian.org>  Sat, 29 Aug 2020 13:06:33 +0200

fakechroot (2.19-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-Depends on libjemalloc-dev instead of libjemalloc1 (closes: #918741)
  * Disable jemalloc test because since libjemalloc2, fakechroot is
    incompatible with jemalloc. They must not be preloaded at the same time.
    (closes: #918742)

 -- Johannes 'josch' Schauer <josch@debian.org>  Sun, 27 Jan 2019 16:34:19 +0100

fakechroot (2.19-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * add support for wrapping renameat2 (closes: #909612)

 -- Johannes 'josch' Schauer <josch@debian.org>  Tue, 01 Jan 2019 08:05:21 +0100

fakechroot (2.19-3) unstable; urgency=high

  * Correct autoconf variables for configure. The paths should be
    compatible with non-symlinked /bin directory. Closes: #846270.

 -- Piotr Roszatycki <dexter@debian.org>  Tue, 29 Nov 2016 21:05:31 +0100

fakechroot (2.19-2) unstable; urgency=medium

  * Hardcode paths to prevent some subtle errors when environment is changed.

 -- Piotr Roszatycki <dexter@debian.org>  Sun, 20 Nov 2016 23:53:04 +0100

fakechroot (2.19-1) unstable; urgency=medium

  * New upstream version 2.19:
    - Prevent escaping fake chroot. Closes: #742072.
    - Can do chroot twice. Closes: #741965.
    - Variable FAKECHROOT_EXCLUDE_PATH can contain 100 elements.
      Closes: #745084.
    - Bugfixes for chroot wrapper: Closes: #741670.
    - Bugfixes for debootstrap wrapper. Closes: #742070.
    - Bugfixes for env wrapper. Closes: #815194.
    - Bugfixes for fakechroot command. Closes: #840008.
    - Bugfixes for ldd wrapper. Closes: #780759, #839873, #839962, #840007.

 -- Piotr Roszatycki <dexter@debian.org>  Sun, 20 Nov 2016 18:05:23 +0100

fakechroot (2.18-1.1) unstable; urgency=medium

  * non-maintainer upload
  * avoid using debian/libfakechroot when doing arch-independent builds
    (Closes: #806221) Thanks to Santiago Vila for the patch.
  * added libjemalloc1 <!nocheck> to Build-Depends for better test suite
    coverage.
  * packaging metadata cleanup

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 02 Aug 2016 14:38:50 -0400
