## fakechroot 2.20.1%2Bds

=== debian/control ===
Source: fakechroot
Maintainer: Johannes Schauer Marin Rodrigues <josch@debian.org>
Section: utils
Priority: optional
Build-Depends:
  debhelper-compat (= 13),
  dpkg-dev (>= 1.17.14),
  libjemalloc-dev (>= 5.2.1-4) <!nocheck>
Standards-Version: 4.6.0.1
Homepage: https://github.com/dex4er/fakechroot
Vcs-Git: https://salsa.debian.org/debian/fakechroot.git
Vcs-Browser: https://salsa.debian.org/debian/fakechroot
Rules-Requires-Root: no

Package: fakechroot
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
         binutils,
         libfakechroot (>= ${source:Version}),
         libfakechroot (<< ${source:Version}.1~)
Description: gives a fake chroot environment - utilities
 The fakechroot preloads a library which overrides libc functions, so
 it is possible to use root-specific tools without root privileges.
 .
 In fake chroot you can install i.e. Debian bootstrap, create developer's
 environment and build packages inside chroot'ed system using standard
 non-root user account.

Package: libfakechroot
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: gives a fake chroot environment - runtime
 This package provides a library which overrides libc functions, so
 it is possible to use root-specific tools without root privileges.
 .
 In fake chroot you can install i.e. Debian bootstrap, create developer's
 environment and build packages inside chroot'ed system using standard
 non-root user account.
