## fakechroot 2.20.1+ds

=== debian/changelog ===
fakechroot (2.20.1+ds-18) unstable; urgency=medium

  * fix buffer overflow with FORTIFY_SOURCE=2 (Closes: #1087466)
  * debian/tests/control: depend on debian-archive-keyring which is needed to
    mmdebstrap unstable on Ubuntu

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Fri, 15 Nov 2024 07:44:14 +0100

fakechroot (2.20.1+ds-17) unstable; urgency=medium

  * cleaned up patch stack using https://github.com/dex4er/fakechroot/pull/104

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Sun, 14 Apr 2024 18:20:07 +0200

fakechroot (2.20.1+ds-16) unstable; urgency=medium

  * wrap __lutimes64

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Sun, 14 Apr 2024 00:44:34 +0200

fakechroot (2.20.1+ds-15) unstable; urgency=medium

  * fix typo HAVE___lstat64_time64 -> HAVE___LSTAT64_TIME64

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Mon, 06 Feb 2023 11:00:37 +0100

fakechroot (2.20.1+ds-14) unstable; urgency=medium

  * fix indentation of last changelog entry

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Thu, 02 Feb 2023 17:58:32 +0100

fakechroot (2.20.1+ds-13) unstable; urgency=medium

  * ldd.fakechroot: check file inside the chroot and not on the outside

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Thu, 02 Feb 2023 17:56:45 +0100

fakechroot (2.20.1+ds-12) unstable; urgency=medium

  * upload to unstable

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Tue, 31 Jan 2023 21:37:45 +0100

fakechroot (2.20.1+ds-11) experimental; urgency=medium

  * ldd.fakechroot: remove trailing NUL from .interp section

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Tue, 31 Jan 2023 13:25:35 +0100

fakechroot (2.20.1+ds-10) experimental; urgency=medium

  * patch ldd.fakechroot to support arches that do not list the linker itself
    in their `objdump -p` output like mips64el, ppc64el and s390x (closes:
    #1029490)

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Tue, 31 Jan 2023 12:15:16 +0100

fakechroot (2.20.1+ds-9) experimental; urgency=medium

  * test for broken ldd.fakechroot output during build to attempt fixing
    #1029490

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Mon, 23 Jan 2023 14:58:06 +0100

fakechroot (2.20.1+ds-8) unstable; urgency=medium

  * support glibc 2.34 by wrapping __{f,l,}stat{at,}64_time64 and__utime{nsat,s,}64
  * Redo patch stack from https://github.com/dex4er/fakechroot/pull/104

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Tue, 01 Nov 2022 01:03:37 +0100

fakechroot (2.20.1+ds-7) unstable; urgency=medium

  * no changes source-upload for rebuilding with coreutils 9.1-1 built with
    glibc 2.34

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Mon, 31 Oct 2022 18:53:50 +0100

fakechroot (2.20.1+ds-6) unstable; urgency=medium

  * mmdebstrap autopkgtest succeeds on salsa and debi, so getpwent and friends
    work correctly again (closes: #1017590)

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Thu, 25 Aug 2022 13:59:58 +0200

fakechroot (2.20.1+ds-5) unstable; urgency=medium

  * rewrite patch series based on https://github.com/dex4er/fakechroot/pull/104
  * add autopkgtest

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Wed, 24 Aug 2022 16:00:32 +0200

fakechroot (2.20.1+ds-4) unstable; urgency=medium

  * attempt restoring adduser functionality by wrapping getpwent, getpwent_r,
    setpwent, endpwent, getpwuid, getpwuid_r, getpwnam, getpwnam_r, getgrent,
    getgrent_r, setgrent, endgrent, getgrgid, getgrgid_r, getgrnam, getgrnam_r,
    getspent, setspent, endspent, getspnam, getspnam_r
  * debian/salsa-ci.yml: restore salsa pipeline
  * d/rules: remove man/fakechroot.1 when cleaning
  * debian/rules: use sh instead of bash

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Sun, 21 Aug 2022 08:31:35 +0200

fakechroot (2.20.1+ds-3) unstable; urgency=medium

  * add debian/patches/nss_files_fopen.patch
     - this might make fakechroot FTBFS if built with glibc 2.34
  * debian/control: run wrap-and-sort -astb
  * b-d on gnu-which and drop patch
  * update lintian overrides with new syntax

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Tue, 16 Aug 2022 15:00:10 +0200

fakechroot (2.20.1+ds-2) unstable; urgency=medium

  * rebuild with glibc 2.33

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Thu, 16 Dec 2021 10:27:14 +0100

fakechroot (2.20.1+ds-1) unstable; urgency=medium

  * repack upstream tarball to remove autogenerated files from it via
    Files-Excluded in d/changelog
  * deadlock with jemalloc on arm64 and riscv64 got fixed in 5.2.1-4
  * add patch checking return value of dladdr
  * debian/patches/which-is-deprecated: add description

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Thu, 11 Nov 2021 11:43:17 +0100

fakechroot (2.20.1-2) unstable; urgency=medium

  * Disable jemalloc tests on arm64 -- broken with infinite stalling

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Fri, 22 Oct 2021 21:22:35 +0200

fakechroot (2.20.1-1) unstable; urgency=medium

  * New upstream version 2.20.1 (closes: #943400)
     - Append newroot to /lib/systemd because systemctl uses runpath
       (closes: #855234, #917920)
     - Allow to chroot into root directory (closes: #855237)
     - Disable test with fts_options=255 that is broken on btrfs filesystem
       (closes: #740027)
     - More block scoped variables in correct scope (closes: #914995)
     - Fix ldd wrapper for leading slash in absolute paths (closes: #855236)
     - unset CDPATH (closes: #855238)
     - Swap libfakechroot and libfakeroot in LD_PRELOAD if needed
       (closes: #855240)
     - Correct manpage for substitution of /sbin/ldconfig (closes: #745083)
     - readlink: Avoid overflowing user buffer if FAKECHROOT_BASE is not set
       (closes: #926592)
  * Salvage fakechroot (closes: #994005)
  * add dependency on binutils for objdump (closes: #959379)
  * Reenable jemalloc test
  * Refresh and drop applied patches

