=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Section: utils
 Priority: optional
 Build-Depends:
-  debhelper-compat (= 13),
-  dpkg-dev (>= 1.17.14),
-  libjemalloc-dev (>= 5.2.1-4) <!nocheck>
+ debhelper-compat (= 13),
+ dpkg-dev (>= 1.17.14),
+ gnu-which,
+ libjemalloc-dev (>= 5.2.1-4) <!nocheck>,
 Standards-Version: 4.6.0.1
 Homepage: https://github.com/dex4er/fakechroot
 Vcs-Git: https://salsa.debian.org/debian/fakechroot.git
@@ -14,10 +15,12 @@
 
 Package: fakechroot
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends},
-         binutils,
-         libfakechroot (>= ${source:Version}),
-         libfakechroot (<< ${source:Version}.1~)
+Depends:
+ binutils,
+ libfakechroot (<< ${source:Version}.1~),
+ libfakechroot (>= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: gives a fake chroot environment - utilities
  The fakechroot preloads a library which overrides libc functions, so
  it is possible to use root-specific tools without root privileges.
@@ -29,8 +32,11 @@
 Package: libfakechroot
 Section: libs
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Multi-Arch: same
 Description: gives a fake chroot environment - runtime
  This package provides a library which overrides libc functions, so
