=== debian/rules ===
#!/usr/bin/make -f

# abi=-time64 is relevant on armel and armhf. We can add it unconditionally
# because its effect, which is essentially the same as adding
#     export DEB_CPPFLAGS_MAINT_APPEND = -U_FILE_OFFSET_BITS -U_TIME_BITS
# and those variables are not defined on other architectures, see
# cpp -xc -dM /dev/null | grep _FILE_OFFSET
export DEB_BUILD_MAINT_OPTIONS = hardening=+all abi=-time64
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    PARALLEL := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    PROVEFLAGS += -j$(PARALLEL)
endif

%:
	dh $@ --with autoreconf

execute_after_dh_auto_clean:
	rm -f man/fakechroot.1

override_dh_auto_configure:
	dh_auto_configure -- --enable-dependency-tracking --with-libpath=no V=1 EXTRA_CFLAGS='-Wall' PROVEFLAGS="$(PROVEFLAGS)" \
	    ac_cv_path_CHROOT=/usr/sbin/chroot \
	    ac_cv_path_DEBOOTSTRAP=/usr/sbin/debootstrap \
	    ac_cv_path_ECHO=/bin/echo \
	    ac_cv_path_ENV=/usr/bin/env \
	    ac_cv_path_FAKEROOT=/usr/bin/fakeroot \
	    ac_cv_path_ISCHROOT=/usr/bin/ischroot \
	    ac_cv_path_LDCONFIG=/sbin/ldconfig \
	    ac_cv_path_LDD=/usr/bin/ldd \
	    ac_cv_path_PERL=/usr/bin/perl \
	    ac_cv_path_SHELL=/bin/sh

execute_after_dh_auto_install-arch:
	echo /usr/lib/$(DEB_HOST_MULTIARCH)/fakechroot > debian/libfakechroot/etc/ld.so.conf.d/fakechroot-$(DEB_HOST_MULTIARCH).conf
