=== debian/tests/control ===
# depend on libc-bin to make sure that this test gets run on every glibc upload
Tests: mmdebstrap
Depends: mmdebstrap, fakechroot, fakeroot, libc-bin, debian-archive-keyring
Restrictions: needs-root, allow-stderr
