=== debian/watch ===
version=4
opts=repacksuffix=+ds,dversionmangle=auto \
 https://github.com/dex4er/fakechroot/releases /dex4er/fakechroot/releases/download/(?:[0-9.]+)/fakechroot-([0-9.]+).tar.gz
